#include<bits/stdc++.h>
using namespace std;
long long n,a[100000],b[100000];
long long v1;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cin>>n;
    for(long long i=0;i<n;i++){
        cin>>a[i]>>b[i];
    }
    v1=0;
    for(long long i=0;i<n-1;i++){
        for(long long i1=i+1;i1<n;i1++){
            long long ng=max(a[i],a[i1]),nm=min(a[i],a[i1]);
            long long ng1=max(b[i],b[i1]),nm1=min(b[i],b[i1]),l;
            l=(ng-nm)*(ng-nm)+(ng1-nm1)*(ng1-nm1);
            v1+=l;
        }
    }
    cout<<v1<<"\n";
    return 0;
}

